Subject: Re: atoi() missing on Win98, perl extension breaks
From: "Gerrit P. Haase" <[email-masked]>
To: Jacek Piskozub <[email-masked]>
Cc: [email-masked]
Date: Tue, 11 Jan 2005 08:59:28 +0100

Jacek Piskozub wrote:

> Gerritt wrote,
> 
>> There it is:
>> $ cat ext/Win32CORE/hints/cygwin.pl
>> [...]
>> $self->{LIBS} = [q{ -L/lib/w32api -lnetapi32 -lwininet -lversion -lmpr 
>> -lodbc32 -lodbccp32 -lwinmm -lstdc++ -lole32 -loleaut32 -luuid 
>> -lcomctl32 -lgdi32 -lcomdlg32 -lntdll }];
>> [...]
> 
> 
>> Now the question is which of these libs can be removed and which needs
>> to stay?
> 
> 
> 
> 
> I believe the real underlying cause is that /lib/w32api/libntdll.a 
> contains a atoi function header (I see that in 
> http://sources.redhat.com/cgi-bin/cvsweb.cgi/src/winsup/w32api/lib/ntdll.def?cvsroot=src 
> together with a zillion other WinNT/2K/XP functions). This is wrong 
> because Win9x have only a very limited set of functions in ntdll.dll.

Yes, I thought it is a w32api bug at first too.  Who is the maintainer
of w32api?

> Or, if you prefer, indiscriminate linking to ntdll.dll in all Windows 
> versions is the actual culprit.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/